package com.sckw.payment.model.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author xucaiqin
 * @date 2023-07-21 17:53:28
 */
@Getter
@AllArgsConstructor
public enum PayCenterEnum {
    MEMBER_DETAIL("/v1/member/detail", "会员详情"),
    MEMBER_WALLET("/v1/member/wallet", "钱包清单"),
    MEMBER_WALLET_V2("/v2/member/wallet", "钱包清单v2"),
    MEMBER_GENERAL("/v2/wallet/general", "总览信息"),
    USER("/v2/member/user", "会员注册信息"),
    WITHDRAW_DETAIL("/v2/wallet/withdraw/detail", "提现详情"),
    //    WITHDRAW_DETAIL("/v1/wallet/withdraw/detail", "提现详情"), 原接口
    //    WITHDRAW_INDEX("/v1/wallet/withdraw/index", "提现清单"), 原接口
    WITHDRAW_INDEX("/v2/wallet/withdraw/index", "提现清单"),
    WITHDRAW_CATEGORY("/v2/wallet/withdraw/categories", "提现清单分类"),
    WITHDRAW_STATUS("/v1/wallet/withdraw/status", "订单状态"),
    WITHDRAW_CANCEL("/v1/wallet/withdraw/cancel", "取消提现"),
    WITHDRAW_TAKE("/v1/wallet/withdraw/take", "申请提现"),
    TOTAL_INFO("/v1/wallet/totalInfo", "统计信息"),
    OPERATE_DOWNLOAD("/v1/wallet/operate/download", "操作记录-下载"),
    OPERATE_CATEGORY("/v1/wallet/operate/category", "操作记录-分类"),
    OPERATE_INDEX("/v1/wallet/operate/index", "操作记录"),
    LOG_CATEGORY("/v1/wallet/log/category", "钱包日志类型"),
    RECORD("/v1/wallet/record", "获取钱包使用明细"),
    TRANSFER("/v1/wallet/transfer", "余额转出"),
    ADVANCE_PAY_DETAIL("/v1/wallet/advancepay/detail", "预付订单详情"),
    ADVANCE_PAY_APPLY("/v1/wallet/advancepay/apply", "发起预付"),
    ADVANCE_PAY_INDEX("/v1/wallet/advancepay/index", "预付订单清单"),
    ADVANCE_PAY_INDEX2("/v2/wallet/advancepay/index", "预付订单清单"),
    ADVANCE_PAY_WALLETS("/v2/advancepay/wallets", "钱包预付列表"),
    ADVANCE_PAY_PAY_CHANNELS("/v2/advancepay/pay/channels", "钱包预付通道统计"),
    ADVANCE_PAY_RECEIVE("/v2/advancepay/receives", "钱包预收列表"),
    ADVANCE_PAY_LOGS("/v2/advancepay/operate/logs", "预付支出记录"),
    ADVANCE_PAY_RECEIVE_CHANNELS("/v2/advancepay/receive/channels", "钱包预收通道统计"),
    ADVANCE_PAY_STATUS("/v1/wallet/advancepay/statusCategory", "预付订单状态"),
    INDEX("/v1/index/index", "获取通道清单"),
    MEMBER_PAY_INDEX("/v1/member/pay/index", "订单记录"),
    MEMBER_INDEX("/v1/member/index", "创建/更新账户"),
    PAY_INDEX("/v1/pay/index", "在线充值"),
    RECHARGE_ORDER("/v2/wallet/recharge/orders", "充值记录清单"),
    WALLET_FREEZE("/v1/wallet/freeze", "冻结资金"),
    WALLET_UNFREEZE("/v1/wallet/unfreeze", "解冻金额"),
    PAY_AGENT_PAY("/v1/pay/agent_pay", "清分"),
    PAY_AGENT_PAY_V2("/v2/pay/agent_pay", "清分"),
    AGENT_PAY_QUERY("/v2/pay/status/query", "清分结果查询"),
    WITHDRAW_TRANSFER("/v2/wallet/withdraw/transfer", "转出加提现"),
    WALLET_INDEX("/v1/wallet/index", "创建钱包"),
    REFUND_APPLY("/v1/pay/refund_apply", "充值订单退款"),
    ;
    private final String addr;
    private final String desc;

}
